"use strict";
var get_constructor_parameters_1 = require('../library/get-constructor-parameters');
function createDependencyDecorator(callback) {
    return function (ServiceToDecorate) {
        var dependencies = {
            clazz: ServiceToDecorate,
            dependencies: get_constructor_parameters_1.getConstructorParameters(ServiceToDecorate)
        };
        callback(dependencies);
    };
}
exports.createDependencyDecorator = createDependencyDecorator;
//# sourceMappingURL=dependency.js.map