"use strict";
function getPropertyDescriptors(Clazz) {
    return Object
        .getOwnPropertyNames(Clazz.prototype)
        .map(function (propertyName) { return ({
        name: propertyName,
        descriptor: Object.getOwnPropertyDescriptor(Clazz.prototype, propertyName)
    }); });
}
exports.getPropertyDescriptors = getPropertyDescriptors;
//# sourceMappingURL=get-property-descriptors.js.map