"use strict";
var rxjs_1 = require('rxjs');
exports.dependencies$ = new rxjs_1.Subject();
function emit(dependency) {
    exports.dependencies$.next(dependency);
}
exports.emit = emit;
;
function enableDevMode() {
    exports.dependencies$
        .scan(function (dependencies, dependency) { return dependencies.concat(dependency); }, [])
        .subscribe(function (dependencies) {
        var customEvent = new CustomEvent('flowDependency', dependencies);
        window.document.body.dispatchEvent(customEvent);
    });
}
exports.enableDevMode = enableDevMode;
;
//# sourceMappingURL=dependencies.js.map