"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var decorators_1 = require('./decorators');
var events_1 = require('./events');
var dependencies_1 = require('./dependencies');
var events_2 = require('./events');
exports.events$ = events_2.events$;
var dependencies_2 = require('./dependencies');
exports.dependencies$ = dependencies_2.dependencies$;
__export(require('./interfaces'));
function enableDevMode() {
    events_1.enableDevMode();
    dependencies_1.enableDevMode();
}
exports.enableDevMode = enableDevMode;
function flow(Clazz) {
    decorators_1.createDependencyDecorator(dependencies_1.emit)(Clazz);
    decorators_1.createGettersDecorator(events_1.emit)(Clazz);
    decorators_1.createMethodDecorator(events_1.emit)(Clazz);
}
exports.flow = flow;
;
//# sourceMappingURL=index.js.map