"use strict";
var get_property_descriptors_1 = require('./get-property-descriptors');
function getPublicFunctionNames(Clazz) {
    return get_property_descriptors_1.getPropertyDescriptors(Clazz)
        .filter(function (property) { return typeof property.descriptor.value === 'function'; })
        .filter(function (property) { return property.name !== 'constructor'; })
        .map(function (property) { return property.name; });
}
exports.getPublicFunctionNames = getPublicFunctionNames;
//# sourceMappingURL=get-function-names.js.map